
From: Andrew de Quincey <adq_dvb@lidskialf.net>

Fix SNR reading

Signed-off-by: Andrew de Quincey <adq_dvb@lidskialf.net>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/tda1004x.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/media/dvb/frontends/tda1004x.c~dvb-frontend-tda1004x-fix-snr-reading drivers/media/dvb/frontends/tda1004x.c
--- devel/drivers/media/dvb/frontends/tda1004x.c~dvb-frontend-tda1004x-fix-snr-reading	2005-09-04 16:51:15.000000000 -0700
+++ devel-akpm/drivers/media/dvb/frontends/tda1004x.c	2005-09-04 16:51:15.000000000 -0700
@@ -1046,8 +1046,7 @@ static int tda1004x_read_snr(struct dvb_
 	tmp = tda1004x_read_byte(state, TDA1004X_SNR);
 	if (tmp < 0)
 		return -EIO;
-	if (tmp)
-		tmp = 255 - tmp;
+	tmp = 255 - tmp;
 
 	*snr = ((tmp << 8) | tmp);
 	dprintk("%s: snr=0x%x\n", __FUNCTION__, *snr);
_
